package cn.kdan.cloud.pdf.office.account.service;

import cn.kdan.cloud.pdf.office.common.utils.BeanConverter;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import com.github.pagehelper.PageInfo;
import cn.kdan.cloud.pdf.office.account.model.User;


import java.util.List;

/**
 * 用户服务
 */
public interface UserService {


    UserInfoVO getById(String userId);


    UserInfoVO getByAccount(String account);

    UserInfoVO getByAppAccount(String account, String appId, String platformType);

    UserInfoVO detail(User user);
}
