package cn.kdan.cloud.pdf.office.app.service;

import cn.kdan.cloud.pdf.office.app.entity.ActivityInformation;
import cn.kdan.cloud.pdf.office.api.app.vo.ActivityInfoVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @author ComPDFKit-WPH 2023-01-10
 */
public interface ActivityInformationService extends IService<ActivityInformation> {
    /**
     * 获取活动信息
     *
     * @param type 活动类型
     * @return 活动信息
     */
    ActivityInfoVO getActivityInfoByType(String type);

}