package cn.kdan.cloud.pdf.office.email.entity;

import cn.kdan.cloud.pdf.office.common.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author ComPDFKit-WPH 2023-01-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("email_template")
public class EmailTemplate extends BaseEntity{

    /**
     * 主键id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;
    /**
     * 模板内容HTML
     */
    private String templateHtml;
    /**
     * 是否启用，1启用，0禁用
     */
    private Integer isEnable;

}
