package cn.kdan.cloud.pdf.office.sso.constant;

public class AuthConstant {

    public final static int EXCEPTION_CODE_IMAGE_CODE_ERROR = 301;
    public final static String EXCEPTION_MSG_IMAGE_CODE_ERROR = "图形验证码错误";

    public final static int EXCEPTION_CODE_USER_NOT_FOUND = 302;
    public final static String EXCEPTION_MSG_USER_NOT_FOUND = "当前登录用户没有注册，详细信息请联系管理员";

    public final static int EXCEPTION_CODE_USER_STATUS_IS_FROZEN = 303;
    public final static String EXCEPTION_MSG_USER_STATUS_IS_FROZEN = "账号正处于冻结状态";

    public final static int EXCEPTION_CODE_USER_STATUS_IS_INACTIVE = 304;
    public final static String EXCEPTION_MSG_USER_STATUS_IS_INACTIVE = "当前登录用户没有激活或被禁用，详细信息请联系管理员";

    public final static int EXCEPTION_CODE_USER_IS_LOCKED = 305;
    public final static String EXCEPTION_MSG_USER_IS_LOCKED = "登录尝试次数过多，账号已被锁定";

    public final static int EXCEPTION_CODE_USER_PASSWORD_ERROR = 306;
    public final static String EXCEPTION_MSG_USER_PASSWORD_ERROR = "账号密码错误";

    public final static int EXCEPTION_CODE_SESSION_NOT_FOUND = 307;
    public final static String EXCEPTION_MSG_SESSION_NOT_FOUND = "账号不存在";

    public final static int EXCEPTION_CODE_USER_INFO_NOT_COMPLETE = 308;
    public final static String EXCEPTION_MSG_USER_INFO_NOT_COMPLETE = "用户资料尚未完善！";

    public final static int EXCEPTION_CODE_TOKEN_IS_INVALID = 310;
    public final static String EXCEPTION_MSG_TOKEN_IS_INVALID = "无效的token或者token已过期";
    public final static String EXCEPTION_MSG_PLEASE_ADD_AUTH_CONFIG = "please add auth config";
    public final static int EXCEPTION_CODE_USER_NOT_ORG = 311;
    public final static String EXCEPTION_MSG_USER_NOT_ORG = "该用户不属于任何机构,请联系系统管理员";

    public final static int EXCEPTION_CODE_USER_PASSWORD_EXPIRED = 312;
    public final static String EXCEPTION_MSG_USER_PASSWORD_EXPIRED = "用户密码已过期，请修改或重置密码";

    public final static int EXCEPTION_CODE_USER_NOT_LOGIN = 313;
    public final static String EXCEPTION_MSG_USER_NOT_LOGIN = "用户没有登录，请登录后再访问";

    public final static String EXCEPTION_MSG_NO_PERMISSION = "您没有当前平台的操作权限。";

    public final static int EXCEPTION_CODE_GET_CODE_FAIL = 314;
    public final static String EXCEPTION_MSG_GET_CODE_FAIL = "获取授权码失败";

    public final static String GET_AUTHORIZE_CODE_SUCCESS = "获取授权码成功";

    public final static int EXCEPTION_CODE_GET_TOKEN_FAIL = 315;
    public final static String EXCEPTION_MSG_GET_TOKEN_FAIL = "获取token失败";

    public final static String EXCEPTION_MSG_GET_APP_INFO_FAIL = "获取token失败，应用信息为空";

    public final static String MSG_LOGIN_SUCCESS = "用户登录成功";
    public final static String MSG_LOGOUT_SUCCESS = "用户登出成功";

    public static final String LOCK_PERIOD = "lock_period";
    public static final String LOCK_TIMES = "lock_times";
    public static final String LOCK_MINUTES = "lock_minutes";
    public static final String SESSION_ = "session_";
    public static final String PASSWORD_ERROR_ = "password_error_";

    public static final String MOBILE_REGEX = "[1][3456789]\\d{9}";
    public static final String EMAIL_REGEX = "^([a-z0-9A-Z]+[-|\\.]?)+[a-z0-9A-Z]@([a-z0-9A-Z]+(-[a-z0-9A-Z]+)?\\.)+[a-zA-Z]{2,}$";


    public static final String ACCESS = "access:";
    public static final String AUTH_TO_ACCESS = "auth_to_access:";
    public static final String AUTH = "auth:";
    public static final String REFRESH_AUTH = "refresh_auth:";
    public static final String ACCESS_TO_REFRESH = "access_to_refresh:";
    public static final String REFRESH = "refresh:";
    public static final String REFRESH_TO_ACCESS = "refresh_to_access:";
    public static final String CLIENT_ID_TO_ACCESS = "client_id_to_access:";
    public static final String UNAME_TO_ACCESS = "uname_to_access:";

    public static final String DEFAULT_REDIRECT_URI = "https://127.0.0.1";

}
