package cn.kdan.cloud.pdf.office.account.constant;

/**
 * 用户服务常量
 * Created by liuliangcai on 2017/4/26.
 */
public class UserConstant {

    public static final int EXCEPTION_CODE_USER_NOT_FOUND_FAILURE = 801;
    public static final String EXCEPTION_MSG_USER_NOT_FOUND_FAILURE = "查找用户失败";

    public static final String EXCEPTION_MSG_UPDATE_USER_MOBILE_ACTIVED = "手机只有未激活状态下才能修改";

    public static final String EXCEPTION_MSG_UPDATE_USER_EMAIL_ACTIVED = "邮箱只有未激活状态下才能修改";

    public static final String EXCEPTION_MSG_USER_ROLE_ERROR_WHILE_CANCEL = "只有机构管理员或项目管理员才能注销用户";

    public static final String EXCEPTION_MSG_USER_CANNOT_CANCEL = "已发布机构必须拥有一个机构管理员，无法注销";

    public static final String EXCEPTION_MSG_USER_NAME_DUPILICATED = "用户名称已存在";
    public static final String EXCEPTION_MSG_USER_MOBILE_DUPILICATED = "用户手机已存在";
    public static final String EXCEPTION_MSG_USER_EMAIL_DUPILICATED = "用户邮箱已存在";


    public static final String USER_QUERY_SUCCESS = "用户查询成功";
    public static final String USER_CREATE_SUCCESS = "用户创建成功";
    public static final String USER_UPDATE_SUCCESS = "用户信息修改成功";
    public static final String USER_REGISTER_SUCCESS = "用户注册成功";
    public static final String USER_LOG_OFF_SUCCESS = "用户注销成功";
    public static final String LOCK_USER_SUCCESS = "锁定用户成功";
    public static final String UNLOCK_USER_SUCCESS = "解锁用户成功";
    public static final String ACTIVATE_USER_SUCCESS = "激活用户成功";
    public static final String DELETE_USER_SUCCESS = "删除用户成功";
    public static final String UPDATE_PROJECT_MEMBERS_SUCCESS = "更新项目成员成功";
}
