package cn.kdan.cloud.pdf.office.account.mapper.ext;

import cn.kdan.cloud.pdf.office.account.mapper.UserMapper;
import cn.kdan.cloud.pdf.office.account.model.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExtUserMapper  extends UserMapper {
    /**
     * 根据手机号或者邮箱获取用户
     *
     * @param account account
     * @return User
     */
    List<User> getByAccount(@Param("account") String account,@Param("appId") String appId,@Param("platformType") String platformType);
}
