package cn.kdan.cloud.pdf.office.email;

import cn.kdan.cloud.pdf.office.api.email.bo.EmailSendBO;
import cn.kdan.cloud.pdf.office.email.service.EmailLogService;
import cn.kdan.cloud.pdf.office.email.service.SendEmailHandlerService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;

/**
 * @author ComPDFKit-WPH 2023/1/11
 */
@SpringBootTest
public class SendEmailTest {

    @Autowired
    private EmailLogService emailLogService;
    @Autowired
    private SendEmailHandlerService emailHandlerService;

    @Test
    public void sendTest(){
        EmailSendBO emailSendBO = new EmailSendBO();
        emailSendBO.setToEmail("ddfme123@163.com");
        emailSendBO.setEmailTitle("123");
        emailSendBO.setTemplateId("1");
        Map<String,String> map = new HashMap<>();
        map.put("@username@","wph");
        emailSendBO.setSendContent(map);
        emailHandlerService.sendEmail(emailSendBO);
    }

}
