package cn.kdan.cloud.pdf.office.generate.bo;

import lombok.Data;

import java.util.List;

/**
 * 模板渲染数据
 * @author ZhouQiang 2022/7/24
 */
@Data
public class TemplateRenderingBO {

    /**
     * 作者
     */
    private String author;

    /**
     * 创建日期
     */
    private String createDate;

    /**
     * 包名
     */
    private String packageName;

    /**
     * 类名
     */
    private String className;

    /**
     * 表名
     */
    private String tableName;

    /**
     * 首字母小写类名
     */
    private String lowerClassName;

    /**
     * 接口路径名
     */
    private String pathName;

    /**
     * 字段信息
     */
    private List<ColumnInfoBO> columns;

    /**
     * 字段是否含有Date
     */
    private Boolean hasDate = false;

    /**
     * 是否含有BigDecimal
     */
    private Boolean hasBigDecimal = false;

}
