package cn.kdan.cloud.pdf.office.sso;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.netflix.hystrix.EnableHystrix;
import org.springframework.cloud.openfeign.EnableFeignClients;


/**
 * @author tangxiangan
 */
@SpringBootApplication
@EnableHystrix
@EnableDiscoveryClient
@EnableFeignClients(basePackages = {"cn.kdan.cloud.pdf.office.sso.feign"})
public class PdfOfficeSSOApplication {

    public static void main(String[] args) {
        new SpringApplicationBuilder(PdfOfficeSSOApplication.class).run(args);
    }

}
